Page MenuHomePhabricator

[Bug] Failed to find message key "wikibase-error-ui-client-error"
Closed, ResolvedPublic

Description

The wikibase.api.RepoApiError.tests resource loader module (in the wikibase/javascript-api component) requires this message, but no such message exists.

https://github.com/wikimedia/mediawiki-extensions-WikibaseJavaScriptApi/blob/ccf9fd234368f7a6bd2a569be14711e4c15f13a4/tests/resources.php#L39

Failed to find 'wikibase-error-ui-client-error' (it)

Event Timeline

Krinkle created this task.Mar 27 2016, 11:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2016, 11:42 PM
Krinkle updated the task description. (Show Details)Mar 27 2016, 11:42 PM
JanZerebecki added subscribers: Jonas, thiemowmde.
Lydia_Pintscher renamed this task from Failed to find message key "wikibase-error-ui-client-error" to [Bug] Failed to find message key "wikibase-error-ui-client-error".Apr 3 2016, 11:38 AM
Lydia_Pintscher triaged this task as Low priority.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Krinkle removed a subscriber: Krinkle.Apr 8 2016, 12:09 AM

This is now blocking T129976. See https://gerrit.wikimedia.org/r/#/c/277457/

1) ResourcesTest::testMissingMessages
   Message 'wikibase-error-ui-client-error' required by 'wikibase.api.RepoApiError.tests' must exist
   Failed asserting that false is true.

Change 301736 had a related patch set uploaded (by Aude):
Remove reference to unused/non-existing message

https://gerrit.wikimedia.org/r/301736

Jonas closed this task as Resolved.Jul 29 2016, 1:09 PM
Jonas moved this task from Proposed to Done on the Wikidata-Sprint-2016-07-19 board.

Change 301736 merged by jenkins-bot:
Remove reference to unused/non-existing message

https://gerrit.wikimedia.org/r/301736

Krinkle reopened this task as Open.EditedAug 3 2016, 6:23 AM

It seems this wasn't pulled-through in the nightly build.

It's still there in the Wikidata extension:

https://github.com/wikimedia/mediawiki-extensions-Wikidata/blob/b9514fb4f579609e9157cac5ebd8510d42be776b/vendor/wikibase/javascript-api/tests/resources.php#L39

It looks like this is pulled in from a composer package, not via any of the embedded MediaWiki extensions.

Latest version at https://packagist.org/packages/wikibase/javascript-api is v2.0.0 from 2016-05-31. I guess a new version needs to be tagged?

Also, even then, in extensions/Wikibase/composer.json it is installing "wikibase/javascript-api": "~1.1", which isn't even the latest version. Looks like that needs to be bumped as well.

Change 302684 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Update JavaScript Api component to 2.0

https://gerrit.wikimedia.org/r/302684

Change 302687 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Release 2.1.0

https://gerrit.wikimedia.org/r/302687

Change 302687 merged by jenkins-bot:
Release 2.1.0

https://gerrit.wikimedia.org/r/302687

Change 302890 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Follow up fix to HTML escaping in wikibase.api.RepoApiError

https://gerrit.wikimedia.org/r/302890

Change 302890 merged by jenkins-bot:
Follow up fix to HTML escaping in wikibase.api.RepoApiError

https://gerrit.wikimedia.org/r/302890

Jonas closed this task as Resolved.Aug 5 2016, 10:19 AM
Jonas reopened this task as Open.
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-08-02 board.
Jonas moved this task from Done to Review on the Wikidata-Sprint-2016-08-02 board.

Change 302684 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Update JavaScript Api component to 2.0
https://gerrit.wikimedia.org/r/302684

Still waiting for this one to land, and then get pulled through from Wikibase to Wikidata.

Jonas closed this task as Resolved.Aug 9 2016, 10:11 AM
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-08-02 board.

Change 302684 merged by jenkins-bot:
Update JavaScript Api component to 2.0

https://gerrit.wikimedia.org/r/302684